Update CI from ibus-typing-booster

This commit is contained in:
Takao Fujiwara 2020-07-28 13:43:02 +09:00
parent a42e096419
commit e4d6203776
2 changed files with 23 additions and 9 deletions

View File

@ -32,7 +32,7 @@
Name: ibus Name: ibus
Version: 1.5.22 Version: 1.5.22
Release: 9%{?dist} Release: 10%{?dist}
Summary: Intelligent Input Bus for Linux OS Summary: Intelligent Input Bus for Linux OS
License: LGPLv2+ License: LGPLv2+
URL: https://github.com/ibus/%name/wiki URL: https://github.com/ibus/%name/wiki
@ -253,14 +253,19 @@ the functionality of the installed %{name} package.
%prep %prep
%autosetup -S git %autosetup -S git
# cp client/gtk2/ibusimcontext.c client/gtk3/ibusimcontext.c || : # cp client/gtk2/ibusimcontext.c client/gtk3/ibusimcontext.c || :
# cp client/gtk2/ibusim.c client/gtk3/ibusim.c || :
cp client/gtk2/ibusim.c client/gtk3/ibusim.c || :
# prep test # prep test
diff client/gtk2/ibusimcontext.c client/gtk3/ibusimcontext.c for f in ibusimcontext.c ibusim.c
if test $? -ne 0 ; then do
echo "Have to copy ibusimcontext.c into client/gtk3" diff client/gtk2/$f client/gtk3/$f
abort if test $? -ne 0 ; then
fi echo "Have to copy $f into client/gtk3"
abort
fi
done
%build %build
#autoreconf -f -i -v #autoreconf -f -i -v
@ -460,6 +465,10 @@ dconf update || :
%{_datadir}/installed-tests/ibus %{_datadir}/installed-tests/ibus
%changelog %changelog
* Tue Jul 28 2020 Takao Fujiwara <tfujiwar@redhat.com> - 1.5.22-10
- Delete _python_bytecompile_extra
- Update CI from ibus-typing-booster
* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.22-9 * Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.22-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild - Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

View File

@ -54,13 +54,16 @@
chdir: gnome-desktop-testing chdir: gnome-desktop-testing
- name: Start IBus installed-tests testing harness - name: Start IBus installed-tests testing harness
environment:
ANSIBLE: 1
TMPDIR: '{{ remote_artifacts }}'
G_MESSAGES_DEBUG: 'all'
block: block:
- name: Execute IBus tests - name: Execute IBus tests
shell: | shell: |
set -e set -e
status="FAIL: frame" status="FAIL: frame"
env TMPDIR='{{ remote_artifacts }}' G_MESSAGES_DEBUG='all' \ ibus-desktop-testing-runner \
ibus-desktop-testing-runner \
--no-graphics \ --no-graphics \
--runner=gnome \ --runner=gnome \
--tests='{{ installed_test_name }}' \ --tests='{{ installed_test_name }}' \
@ -77,10 +80,12 @@
log="{{ remote_artifacts }}/test.log" log="{{ remote_artifacts }}/test.log"
if [ ! -f $log ] ; then if [ ! -f $log ] ; then
echo ERROR echo ERROR
exit 1
else else
FAIL=`grep "^FAIL: " {{ remote_artifacts }}/test.log | grep -v 'FAIL: 0$'` FAIL=`grep "^FAIL: " $log | grep -v 'FAIL: 0$'`
if [ x"$FAIL" != x ] ; then if [ x"$FAIL" != x ] ; then
echo ERROR echo ERROR
exit 1
else else
echo PASS echo PASS
fi fi